curl --request POST \
--url 'https://api.stateset.com/api/v1/warehouse-inventory/adjust' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"location_id": 1001,
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"performed_by": "string",
"quantity": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"reference_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference_type": "string",
"sku": "SKU-TENT-2P-GRN"
}'
{
"location_id": 1001,
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_available": "string",
"quantity_on_hand": "string",
"quantity_reserved": "string",
"sku": "SKU-TENT-2P-GRN",
"updated_at": "2026-08-31T14:22:05Z"
}
Adjust an inventory
Adjust an inventory
POST
/
api
/
v1
/
warehouse-inventory
/
adjust
curl --request POST \
--url 'https://api.stateset.com/api/v1/warehouse-inventory/adjust' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"location_id": 1001,
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"performed_by": "string",
"quantity": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"reference_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference_type": "string",
"sku": "SKU-TENT-2P-GRN"
}'
{
"location_id": 1001,
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_available": "string",
"quantity_on_hand": "string",
"quantity_reserved": "string",
"sku": "SKU-TENT-2P-GRN",
"updated_at": "2026-08-31T14:22:05Z"
}
Request body
AdjustInventoryRequest
integer (int32)
required
string,null
string,null
string
required
Signed decimal quantity as a string (positive adds, negative removes).
string
required
string,null
string,null
string
required
Response
LocationInventoryResponse
integer (int32)
required
string,null
string
required
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/warehouse-inventory/adjust' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"location_id": 1001,
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"performed_by": "string",
"quantity": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"reference_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference_type": "string",
"sku": "SKU-TENT-2P-GRN"
}'
{
"location_id": 1001,
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_available": "string",
"quantity_on_hand": "string",
"quantity_reserved": "string",
"sku": "SKU-TENT-2P-GRN",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026